#pragma once
#include "record_common.h"

namespace maps::wiki::json2ymapsdf::transformers {

class EntranceLevelFlatRangeTransformer : public RecordTransformer {
public:
    EntranceLevelFlatRangeTransformer(
        const ymapsdf::schema::Schema& ymapsdfSchema,
        const ymapsdf::schema::Table*,
        const tds::schema::Category*,
        const xml3::Node*);
    ymapsdf::Records transform(const tds::Item&) const override;
    ymapsdf::schema::TableSet tables() const override;
    std::string name() const override { return ENTRANCE_LEVEL_FLAT_RANGE; }
};

} // namespace maps::wiki::json2ymapsdf::transformers
